Gets firmware file
GEThttps://apis.<domain>/iot/ota/:initId
Downloads firmware binary file for OTA updates
Request
Path Parameters
initId stringrequired
Device initialization ID
Responses
- 200
- 401
- 404
- 500
Firmware binary file
- application/octet-stream
- Schema
- Example (auto)
Schema
stringstring<binary>
"string"
Missing or invalid thing key provided
Firmware not found
Unexpected server-side error occurred
Authorization: http
name: thingAuthtype: httpscheme: bearerdescription: * Things access: `Authorization: Thing <thing_key>`
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://apis.<domain>/iot/ota/:initId");
request.Headers.Add("Accept", "application/octet-stream");
request.Headers.Add("Authorization", "Bearer <token>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());